import { ConnectionStatus } from "@capacitor/network";
import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
export interface ISaveNetworkStatusOptions {
    deep: DeepClient;
    containerLinkId: number;
    connectionStatuses: ConnectionStatus[];
}
/**
 * Saves network status to a custom deep database.
 * @param options - An object containing the necessary parameters.
 * @param options.deep - The deep client instance.
 * @param options.containerLinkId - The ID of the container link.
 * @param options.connectionStatuses - An array of connection statuses.
 */
export declare function saveNetworkStatus(options: ISaveNetworkStatusOptions): Promise<void>;
